:root {
	--main-color: #fd0000;
	--main-color-2: #bd3030;
	--cost-total: #30bd3e;
}

a {
	text-decoration: none !important;
}

.text-justify {
	text-align: justify !important;
}

.img-cover {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.main-bg-color {
	background-color: rgb(225, 155, 14);
	color: white;
}

.main-text-color {
	/* color: rgb(239, 164, 14); */
	color: rgb(225, 155, 14);
}

.btn-main {
	display: block;
	text-align: center;
	background-color: white;
	border: 1px solid var(--main-color) !important;
	transition: 0.5s all;
	color: var(--main-color);
	border-radius: 3px;
}

.btn-main:hover {
	background-color: var(--main-color);
	color: white;
}

.login-input {
	background-color: rgba(232, 232, 232, 0.797);
	border: none;
}

.login-btn {
	background-color: rgb(225, 155, 14);
	color: white;
}

.main-sidebar .sidebar-brand {
	height: fit-content;
}

.navbar-bg {
	background-color: var(--main-color-2) !important;
}

.bg-main {
	background-color: var(--main-color) !important;
}

.bg-main-2 {
	background-color: var(--main-color-2) !important;
}

.text-main {
	color: var(--main-color) !important;
}

.step {
	display: none;
}

.active {
	display: block;
}

.step-2 .form-check {
	width: 60px;
}

.step-2 .container-fluid {
	padding: 0;
}

.select2-container--default
	.select2-selection--multiple
	.select2-selection__choice {
	padding-left: 0;
}

.select2-container--default
	.select2-selection--multiple
	.select2-selection__choice__remove {
	position: relative;
}

.calculator-grid {
	display: grid;
	justify-content: center;
	align-content: center;
	min-height: 33vh;
	grid-template-columns: repeat(4, 81px);
	grid-template-rows: minmax(100px, auto) repeat(5, 84px);
}

.calculator-grid > button {
	cursor: pointer;
	font-size: 2rem;
	border: 1px, solid #ffffff;
	outline: none;
}

.calculator-grid > button:hover {
	background-color: #c0c0c0;
}

.span-two {
	grid-column: span 2;
	background-color: #ffa500;
}

.button-operation {
	background-color: #add8e6;
}

.output {
	grid-column: 1 / -1;
	background-color: rgba(0, 0, 0, 0.75);
	display: flex;
	align-items: flex-end;
	justify-content: space-around;
	flex-direction: column;
	padding: 10px;
	word-wrap: break-word;
	word-break: break-all;
}

.output .previous-operand {
	color: rgba(255, 255, 255, 0.75);
	font-size: 1.5rem;
}

.output .current-operand {
	color: white;
	font-size: 2.5rem;
}

input:focus {
	outline: none;
}

.btn-plus,
.btn-minus,
.numbers {
	text-align: center;
	padding: 2px;
	width: 20px;
	border: 0;
}
.btn-plus,
.btn-minus {
	background: #fd0000;
	color: white;
}
#list-item .d-grid {
	display: grid;
	gap: 10px;
	overflow-y: scroll;
	height: 300px;
}

.d-grid {
	display: grid;
	gap: 10px;
	overflow-y: scroll;
}

.d-grid .card .card-body .card-title {
	font-size: 16px;
	font-weight: 500;
}

.d-grid .card {
	padding: 0 !important;
	height: min-content !important;
}

.d-grid .card .card-body {
	padding: 10px 5px !important;
}

.d-grid .card .card-body .card-text {
	font-size: 16px;
	font-weight: 700;
}

.d-grid .card:hover {
	background-color: rgb(197, 197, 197);
}

@media screen and (min-width: 1000px) {
	#list-item .d-grid {
		grid-template-columns: repeat(4, 1fr);
		grid-template-rows: repeat(4, 1fr);
	}
	.d-grid {
		grid-template-columns: repeat(4, 1fr);
	}
	.d-grid-2 {
		grid-template-columns: repeat(2, 1fr);
	}
}

@media screen and (min-width: 501px) {
	#list-item .d-grid {
		grid-template-columns: repeat(4, 1fr);
		grid-template-rows: repeat(4, 1fr);
	}
	.d-grid {
		grid-template-columns: repeat(4, 1fr);
	}
	.d-grid-2 {
		grid-template-columns: repeat(2, 1fr);
	}
}

@media screen and (max-width: 500px) {
	#list-item .d-grid {
		grid-template-columns: repeat(2, 1fr);
		grid-template-rows: repeat(3, 1fr);
	}
	.d-grid-2 {
		grid-template-columns: repeat(2, 1fr);
	}
}

#kasir .modal .modal-dialog .modal-body .form-group {
	margin-bottom: 10px;
}

#kasir .modal .modal-dialog .modal-body .custom-1 .submit {
	font-size: 15px;
}

#kasir .modal .modal-dialog .modal-body .custom-1 .form-control {
	border: 2px;
	border-color: var(--main-color);
	border-style: none none solid none;
	border-radius: 0;
	padding: 0;
}

#kasir .modal #form_insert_pelanggan .form-control {
	background: transparent;
}

#kasir .modal .modal-dialog .modal-body .custom-1 .form-control::placeholder {
	font-weight: bold;
}

#kasir .modal .modal-dialog .modal-body .custom-2 .form-control {
	background-color: rgb(219, 219, 219);
	padding: 30px 10px;
	color: black;
}

#kasir .modal .modal-dialog .modal-body .custom-2 .form-control::placeholder {
	font-weight: bold;
	font-size: 25px;
}

#kasir .modal .modal-dialog .modal-body .custom-2 input[type="number"] {
	font-size: 25px;
}

#kasir .modal .modal-dialog .modal-body .custom-3 .form-control {
	border-radius: 10px;
	padding: 10px;
}

#kasir .modal .modal-dialog .modal-body .custom-3 textarea {
	background-color: rgb(219, 219, 219);
	color: rgb(128 133 161);
	font-weight: bold;
	font-size: 15px;
	height: 100px;
}
#kasir .modal .modal-dialog .modal-body .custom-3 textarea::placeholder {
	font-weight: bold;
	font-size: 15px;
}

#kasir .modal .modal-dialog .modal-body .custom-3 .peringatan {
	color: rgb(128 133 161);
	font-weight: bold;
	font-size: 15px;
}

#kasir .modal .modal-dialog .modal-body .custom-3 .btn-custom {
	background-color: var(--main-color) !important;
	color: rgb(255, 255, 255) !important;
}

#kasir .modal .modal-dialog .modal-body .custom-3 .btn-custom:hover {
	background-color: rgb(240, 245, 93) !important;
	color: black !important;
}

#kasir #list_keranjang .current-pesanan {
	color: black;
}

#kasir #list_keranjang .list-pesanan .card,
#kasir #list_pelanggan .list-pelanggan .card-pelangggan {
	color: black;
	margin-bottom: 0;
}

#kasir #list_keranjang .list-pesanan .card .pelanggan,
#kasir #list_pelanggan .list-pelanggan .card-pelangggan .pelanggan {
	font-weight: bold;
}

#kasir #list_keranjang .list-pesanan .card .keterangan,
#kasir #list_pelanggan .list-pelanggan .card-pelangggan .keterangan {
	font-size: 12px;
}

#kasir #list_pelanggan .list-pelanggan .card-pelangggan {
	background-color: rgb(252, 252, 252);
	border: none !important;
}

#kasir #list_keranjang .list-pesanan .card .current-pesanan:hover,
#kasir #list_pelanggan .list-pelanggan .card-pelangggan:hover {
	background-color: rgb(202, 202, 202);
	border: none !important;
	transition: 0.5s all;
}

#kasir #list_pelanggan .list-pelanggan .card-pelangggan .photo {
	background-color: rgb(105, 105, 255);
	color: white;
	padding: 10px;
	line-height: 1;
}

.btn-list-pesanan {
	position: absolute;
	top: -7px;
	right: 20px;
	transform: translate(50%, 0);
	padding: 5px;
}

.custom-btn {
	padding: 0.375rem 0.75rem !important;
}

.btn-list-pesanan {
	padding: 0.01rem 0.5rem !important;
}

.btn-primary {
	box-shadow: none !important;
}

.additional-action {
	height: min-content;
}

.additional-action .card {
	box-shadow: none !important;
	margin: 0;
}

.additional-action .card img {
	height: 40px;
	width: 40px;
}

.additional-action label {
	font-size: 12px !important;
}

.cost-total {
	background-color: var(--cost-total);
	color: white;
	font-weight: bold;
	font-size: 20px;
}

.cost-total button {
	background-color: transparent;
	border: none;
	font-weight: bold;
	font-size: 20px;
	color: white;
}

.custom-check-label {
	position: relative;
	height: min-content;
	width: 95px;
	padding: 5px;
}
.custom-check-label label,
.custom-check-label input {
	display: block;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
}
.custom-check-label input[type="radio"] {
	position: absolute;
	margin: 5px;
	opacity: 0.01;
	z-index: 100;
}
.custom-check-label input[type="radio"] + label,
.Checked + .custom-check-label label {
	background-color: var(--main-color);
	border: 1px solid var(--main-color);
	color: white;
}
.custom-check-label label {
	font-family: "Gotham Rounded Bold";
	text-align: center;
	line-height: 1.6;
	display: block;
	background-color: var(--main-color);
	border-radius: 100px;
	color: white;
	cursor: pointer;
	z-index: 90;
	overflow: hidden;
}

.custom-check-label:hover:active {
	position: relative;
	padding: 5px 0;
}
.custom-check-label input[type="radio"] {
	position: absolute;
	opacity: 0.01;
	z-index: 100;
}
.custom-check-label input[type="radio"]:checked + label,
.Checked + .custom-check-label label {
	background-color: white;
	border: 1px solid var(--main-color-2);
	color: var(--main-color);
}

.btn-kategori {
	position: relative;
}

.btn-kategori input[type="radio"] {
	position: absolute;
	opacity: 0.01;
	z-index: 100;
}

.btn-kategori input[type="radio"] + label,
.Checked + .btn-kategori label {
	background-color: var(--main-color);
	border: 1px solid var(--main-color-2);
	color: white;
}

.btn-kategori input[type="radio"]:checked + label,
.Checked + .btn-kategori label {
	background-color: white;
	border: 1px solid var(--main-color-2);
	color: var(--main-color);
}

.custom-check-cash {
	position: relative;
}

.custom-check-cash input[type="radio"] {
	position: absolute;
	opacity: 0.01;
	z-index: 100;
}

.custom-check-cash input[type="radio"] + label,
.custom-check-cash input[type="radio"] + img,
.Checked + .custom-check-cash label {
	background-color: rgb(213 228 253);
	border: none;
	color: black;
}

.custom-check-cash input[type="radio"]:checked + label,
.custom-check-cash input[type="radio"]:checked + img,
.Checked + .custom-check-cash label {
	background-color: var(--main-color-2);
	border: none;
	color: white;
}

.color-main {
	color: var(--main-color);
}

.fs-12 {
	font-size: 12px !important;
}
.fs-14 {
	font-size: 14px !important;
}
.fs-16 {
	font-size: 16px !important;
}
.fs-18 {
	font-size: 18px !important;
}
.fs-20 {
	font-size: 20px !important;
}
.fs-80 {
	font-size: 80px !important;
}

.border-main {
	border: 1px solid var(--main-color);
}

.placeholder-bold::placeholder {
	font-weight: bold;
}

.searchbar-pelanggan {
	background-color: rgb(213 228 253);
}

.page-item-active {
	background-color: var(--main-color) !important;
	color: white !important;
}
